package com.logicbig.example;

import java.util.logging.Logger;

public class MyClass2 {

    private static Logger LOGGER;

    static {
        String path = MyClass2.class.getClassLoader()
                                    .getResource("logging.properties")
                                    .getFile();
        System.setProperty("java.util.logging.config.file", path);
        LOGGER = Logger.getLogger(MyClass2.class.getName());
    }

    public static void main(String[] args) {
        System.out.println("-- main method starts --");
        LOGGER.info("an info msg");
        LOGGER.warning("a warning msg");
        LOGGER.severe("a severe msg");
    }
}